RPMSPEC(8)

BEZEICHNUNG
rpmspec - Werkzeug für RPM-Spec-Dateien

ÜBERSICHT

  SPEC-DATEIEN ABFRAGEN:

rpmspec {-q|--query} [Auswahloptionen] [Abfrageoptionen] SPEC-DATEI …

  AUSWERTUNGSOPTIONEN FÜR DIE STANDARDAUSGABE:

rpmspec {-P|--parse} SPEC-DATEI …

BESCHREIBUNG

rpmspec ist ein Werkzeug zum Abfragen einer Spec-Datei. Genauer gesagt, zum Abfragen hypothetischer Pakete, die aus der angegebenen Spec-Datei erstellt werden würden. So ähnelt die Abfrage einer Spec-Datei mit rpmspec zwar einer Abfrage eines aus dieser Spec-Datei erstellten Pakets, aber sie ist nicht identisch. Mit rpmspec können Sie nicht alle Felder abfragen, die sie für ein erstelltes Paket abfragen können. Zum Beispiel können Sie aus naheliegenden Gründen BUILDTIME mit rpmspec nicht abfragen. Sie können auch weitere Felder nicht abfragen, die während der Erstellung eines Pakets automatisch generiert werden, beispielsweise automatisch erzeugte Abhängigkeiten.

  Auswahloptionen

 [--rpms]
 [--srpm]

  Abfrageoptionen

 [--qf,--queryformat ABFRAGEFORMAT]
 [--target ZIELPLATTFORM]

  ABFRAGEOPTIONEN

Die allgemeine Form eines Abfragebefehls für RPM-Spec-Dateien ist

rpm {-q|--query} [Auswahloptionen] [Abfrageoptionen]

Sie können das Format angeben, in dem die Information ausgegeben werden soll. Dafür verwenden Sie die Option
 --qf|--queryformat ABFRAGEFORMAT gefolgt von der Formatzeichenkette ABFRAGEFORMAT. Siehe rpm(8) für Details.

  AUSWAHLOPTIONEN

 --rpms Wertet die Header aller Binärpakete aus, die aus dieser Spec-Datei erstellt werden.
 --builtrpms Wertet nur die Header der Binärpakete aus, die aus dieser Spec-Datei erstellt werden würden. Das bedeutet, dass die Header der Pakete ignoriert werden, die nicht aus dieser Spec-Datei erstellt werden, das heißt, die Pakete, die keinen files-Abschnitt haben.
 --srpm Wertet die Header des Quellpakets oder der Quellpakete aus, die aus der Spec-Datei erstellt werden.

BEISPIELE

Eine Liste der Binärpakete ausgeben, die aus der RPM-Spec-Datei erstellt werden würden:

     $ rpmspec -q rpm.spec
     rpm-4.11.3-3.fc20.x86_64
     rpm-libs-4.11.3-3.fc20.x86_64
     rpm-build-libs-4.11.3-3.fc20.x86_64
     …

Zusammenfassende Informationen zu den einzelnen Binärpaketen ausgeben, die aus der RPM-Spec-Datei erstellt werden würden:

     $ rpmspec -q --qf "%{name}: %{summary}\n" rpm.spec
     rpm: The RPM package management system
     rpm-libs: Libraries for manipulating RPM packages
     rpm-build-libs: Libraries for building and signing RPM packages
     …

Das Quellpaket ausgeben, das aus der RPM-Spec-Datei erstellt werden würde:

     $ rpmspec -q --srpm rpm.spec
     rpm-4.11.3-3.fc20.x86_64

Die RPM-Spec-Datei auswerten und in die Standardausgabe schreiben:

     $ rpmspec -P rpm.spec
     Summary: The RPM package management system
     Name: rpm
     Version: 4.14.0
     …

SIEHE AUCH
popt(3),
rpm(8),
rpmdb(8),
rpmkeys(8),
rpmsign(8),
rpm2cpio(8),
rpmbuild(8),
rpmspec --help - da rpm benutzerdefinierte Optionen über Popt-Aliase unterstützt, können wir unmöglich garantieren, dass die Beschreibungen in diesem Handbuch exakt dem entsprechen, was verfügbar ist. http://www.rpm.org/ <URL:http://www.rpm.org/>

AUTOREN
Marc Ewing <marc@redhat.com>
Jeff Johnson <jbj@redhat.com>
Erik Troan <ewt@redhat.com>
Panu Matilainen <pmatilai@redhat.com>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.